org.apache.struts2.el.lang

## Class FunctionMapperImpl

- java.lang.Object
- - javax.el.FunctionMapper
  - - org.apache.struts2.el.lang.FunctionMapperImpl

- All Implemented Interfaces:
    Externalizable, Serializable

      public class FunctionMapperImpl
      extends javax.el.FunctionMapper
      implements Externalizable

  Version:
    $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: rjung $
  Author:
    Jacob Hookom [jacob@hookom.net]
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FunctionMapperImpl.Function`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,FunctionMapperImpl.Function>` | `functions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionMapperImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFunction(String prefix, String localName, Method m)`
    `void` | `readExternal(ObjectInput in)`
    `Method` | `resolveFunction(String prefix, String localName)`
    `void` | `writeExternal(ObjectOutput out)`

    - ### Methods inherited from class javax.el.FunctionMapper

      `mapFunction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### functions

          protected Map<String,FunctionMapperImpl.Function> functions

  - ### Constructor Detail

    - #### FunctionMapperImpl

          public FunctionMapperImpl()

  - ### Method Detail

    - #### resolveFunction

          public Method resolveFunction(String prefix,
                                        String localName)

      Specified by:
        `resolveFunction` in class `javax.el.FunctionMapper`

    - #### addFunction

          public void addFunction(String prefix,
                                  String localName,
                                  Method m)

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.